Hostapd + madwifi problems

Jouni Malinen jkmaline at cc.hut.fi
Mon Oct 3 22:26:26 EDT 2005


On Mon, Oct 03, 2005 at 03:35:20AM +0200, flux wrote:

> I am trying to set up an AP using a Debian based system with a D-Link DWL-G520 
> NIC (AR5212 chip). I tried different versions of the madwifi-drivers with the 
> hostapd packet from debian (version 0.3.7-2), but without success. When I 
> start the daemon with 

> Today I compiled hostapd from source with madwifi support and nothing other. 
> The compiler complained about several things in the madwifi-source until I 
> used an older version (I took the cvs-version from 2005/04/30). But the 
> result is the same, the AP is not shown in the list.

I would recommend testing the latest version of hostapd (0.4.5). The
driver interface has changed in madwifi and the older versions of
hostapd may not work with the current driver. I haven't tested hostapd
with madwifi for a while, but I'm certainly interested in getting this
working if there are some issues with the latest version of both
hostapd and madwifi.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list